%global commit 9bd33de81ccdce1c1c448cdd3c0aa8d9480eff9a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:                datanucleus-rdbms
Version:             3.2.13
Release:             4
Summary:             DataNucleus RDBMS
License:             Apache-2.0
URL:                 http://www.datanucleus.org/%{name}
Source:              https://github.com/datanucleus/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildRequires:       java-devel mvn(com.mchange:c3p0) mvn(commons-collections:commons-collections)
BuildRequires:       mvn(commons-dbcp:commons-dbcp) mvn(commons-pool:commons-pool)
BuildRequires:       mvn(javax.time:time-api) mvn(javax.transaction:jta)
BuildRequires:       mvn(org.datanucleus:datanucleus-core) mvn(proxool:proxool)
BuildRequires:       mvn(org.apache.tomcat:tomcat-jdbc) mvn(junit:junit) mvn(log4j:log4j)
BuildRequires:       maven-local maven-install-plugin datanucleus-maven-parent
BuildRequires:       mvn(net.sf.cglib:cglib)
BuildArch:           noarch

%description
Plugin for DataNucleus providing persistence to RDBMS data-stores.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{commit}
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'c3p0' ]/pom:groupId" com.mchange
%pom_remove_dep oracle:ojdbc14_g
%pom_remove_dep oracle:xdb
%pom_remove_dep oracle:xmlparser
rm -r src/java/org/datanucleus/store/rdbms/mapping/oracle/Oracle*.java \
 src/java/org/datanucleus/store/rdbms/mapping/oracle/XMLTypeRDBMSMapping.java \
 src/java/org/datanucleus/store/rdbms/adapter/OracleAdapter.java
%pom_remove_dep com.jolbox:bonecp
rm -r src/java/org/datanucleus/store/rdbms/connectionpool/BoneCP*.java
%pom_remove_dep org.slf4j:slf4j-api
%pom_remove_dep org.slf4j:slf4j-log4j12
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]/pom:configuration/pom:instructions" '
<Require-Bundle>org.datanucleus;bundle-version="${project.version}"</Require-Bundle>
<Bundle-Name>${project.name}</Bundle-Name>
<Bundle-Vendor>DataNucleus</Bundle-Vendor>'
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]" "
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"
sed -i 's/\r//' META-INF/LICENSE.txt META-INF/NOTICE.txt META-INF/README.txt
cp -p META-INF/LICENSE.txt .
cp -p META-INF/NOTICE.txt .
cp -p META-INF/README.txt .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Thu Nov 10 2022 Ge Wang <wangge20@h-partners.com> - 3.2.13-4
- Bring source file into correspondence with described in spec file

* Fri Dec 24 2021 yaoxin <yaoxin30@huawei.com> - 3.2.13-3
- This package depends on log4j.After the log4j vulnerability CVE-2021-45105 is fixed,the version needs to be rebuild.

* Thu Dec 16 2021 wangkai <wangkai385@huawei.com> - 3.2.13-2
- This package depends on log4j.After the log4j vulnerability CVE-2021-44228 is fixed,the version needs to be rebuild.

* Wed Aug 19 2020 wangyue <wangyue92@huawei.com> - 3.2.13-1
- package init
